sayren Docs
스토어프론트 호스팅

스토어프론트 버전 목록

GET
/v1/storefront/site/versions

Authorization

accessToken
headerAuthorizationBearer <token>

Sayren 계정 토큰(로그인 토큰 또는 개인 액세스 토큰, RFC 9068 JWT)

Header Parameters

X-Store-Id*string

대상 상점 id. 토큰의 상점 범위 밖이면 403 STORE_NOT_GRANTED, 없으면 400 STORE_ID_REQUIRED다

Response Body

성공

application/json
  1. response
meta*
data*array<>
error*|null
curl -X GET 'https://api.sayren.io/v1/storefront/site/versions' \  -H 'X-Store-Id: string'
{  "meta": {    "status": 200,    "code": "OK",    "message": "OK",    "isSuccess": true  },  "data": [    {      "versionId": "string",      "number": 1,      "templateId": "string",      "templateVersion": "string",      "status": "BUILDING",      "published": true,      "publishedAt": "string",      "message": "string",      "source": "TEMPLATE",      "buildId": "string",      "createdByType": "string",      "createdVia": "string",      "createdAt": "string",      "previewable": true    }  ],  "error": null}